using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class fpch
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public fpch()
       {
           Fields.AddRange(new MetaNode[] {
           new Bitmask("Flags", new string[] { "Separate_Layer_Depths", "Sort_Behind_Transparents" }, 32),
           new Value("Movement Rotation Multiplier", typeof(float)),
           new Value("Movement Strafing Multiplier", typeof(float)),
           new Value("Movement Zoom Multiplier", typeof(float)),
           new Value("Noise Map Scale", typeof(float)),
           new TagReference("Noise_Map"),
           new Value("Noise Vertical Scale Forward", typeof(float)),
           new Value("Noise Vertical Scale Up", typeof(float)),
           new Value("Noise Opacity Scale Up", typeof(float)),
           new Value("Animation Period (sec)", typeof(float)),
           new Value("Wind Velocity", typeof(float)),
           new Value("...To", typeof(float)),
           new Value("Wind Period", typeof(float)),
           new Value("...To", typeof(float)),
           new Value("Wind Acceleration Weight", typeof(float)),
           new Value("Wind Perpendicular Weight", typeof(float)),
           new Value("Wind Constant Velocity X", typeof(float)),
           new Value("Wind Constant Velocity Y", typeof(float)),
           new Value("Wind Constant Velocity Z", typeof(float)),
           });
       }
    }
}
